Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.instrumentation.asm
Class AsmAnnotationHelper.ClassAnnotationExtractor

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
          org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.ClassAnnotationExtractor

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

Enclosing class:
  AsmAnnotationHelper

    public static class AsmAnnotationHelper.ClassAnnotationExtractor

extends AsmAnnotationHelper.NullClassAdapter

Extracts class level annotations

Field Summary

Fields inherited from class org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
`NULL_CLASS_ADAPTER`

Constructor Summary
`AsmAnnotationHelper.ClassAnnotationExtractor(List annotations, ClassLoader loader)`

Method Summary
`void` | `visitAttribute(org.objectweb.asm.Attribute attribute)`

Methods inherited from class org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
`visit, visitEnd, visitField, visitInnerClass, visitMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsmAnnotationHelper.ClassAnnotationExtractor

    public AsmAnnotationHelper.ClassAnnotationExtractor(List annotations,
                                                        ClassLoader loader)

Method Detail

### visitAttribute

    public void visitAttribute(org.objectweb.asm.Attribute attribute)

  Specified by:
    `visitAttribute` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitAttribute` in class `AsmAnnotationHelper.NullClassAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.